# azure.mgmt.resource.features.v2015_12_01 package

## Submodules

- azure.mgmt.resource.features.v2015_12_01.models module
- azure.mgmt.resource.features.v2015_12_01.operations module

## Module contents

class `azure.mgmt.resource.features.v2015_12_01.``FeatureClient`(credentials, subscription_id, base_url=None)

  Bases: `azure.mgmt.resource.features.v2015_12_01.operations._feature_client_operations.FeatureClientOperationsMixin`, `msrest.service_client.SDKClient`

  Azure Feature Exposure Control (AFEC) provides a mechanism for the resource providers to control feature exposure to users. Resource providers typically use this mechanism to provide public/private preview for new features prior to making them generally available. Users need to explicitly register for AFEC features to get access to such functionality.

  Variables:

  - config (FeatureClientConfiguration) – Configuration for client.
  - features (azure.mgmt.resource.features.v2015_12_01.operations.FeaturesOperations) – Features operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.resource.features.v2015_12_01.``FeatureClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for FeatureClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL